<div class="payouts">
  <layout-page-header
    [title]="'MERCHANT_MANAGER.PAYOUTS.TITLE' | translate"
    [description]="'MERCHANT_MANAGER.PAYOUTS.DESCRIPTION' | translate"
    [total]="(payouts$ | async)?.count"
    [tooltipMessage]="'MERCHANT_MANAGER.PAYOUTS.TOTAL_TOOLTIP' | translate"
  ></layout-page-header>
  <layout-card-container>
    <payouts-filters></payouts-filters>
    <div class="payouts__table">
      <mo-table-with-controls
        [headers]="headers"
        [response]="payouts$ | async"
        [isLoading]="(isLoadingPayouts$ | async)"
        (changeTableFilters)="onChangeTableFilters($event)"
        (download)="onDownload()"
        [urlRow]="movementsUrl"
        urlRowIdentifier="reference"
      ></mo-table-with-controls>
    </div>
  </layout-card-container>
</div>
